Page MenuHomePhabricator

Organize WriteTheDocs SF meetup at WMF on May 4th b/w 7 - 9 pm
Closed, ResolvedPublic

Description

WriteTheDocs SF May meetup will be hosted at WMF by @srishakatux and @srodlund.

@Xephyr826 will be sharing his experience as a MW contributor and encouraging other tech writers to contribute to the project. There is a big Write the Docs conference (http://www.writethedocs.org/conf/na/2017/) in Portland two weeks later of this event, and we're hoping that this meetup will help us build a strong lead for organizing a documentation day hopefully with the same audience at the venue.

Sharing notes from meeting w/ @Xephyr826 about the meetup agenda we planned/ discussed:

Registration & Outreach

  • Add a checkbox field in the form that asks participants if they would like to opt-in to receive emails about events/ programs from WMF in the future // Juan
  • Set up WriteTheDocs SF event on Meetup // Juan
  • Promote the event through the channels of UC Berkeley extension group and SF college that seem to have experience w/ technical writing // Juan
  • Share event details in WMF // Srishti

Meetup Agenda

  • First 30 minutes - networking over food/ snacks/ drinks
  • Next 30 - 45 minutes - Presentation around What MediaWiki is? The open source side of it, how one could contribute? Why Juan decided to first contribute? // Juan
  • Next 15-20 minutes - Someone from WMF sharing our problems w/ documentation, opportunities for tech writers, projects available etc. // Srishti or a WMF member
  • Next 30 minutes - People to break out in small groups and work on small easy tasks etc. // Srishti & Juan to facilitate
    • Before the event: Prepare a list of projects that are easy enough (receptive, short, & concise, involves re-writing, explore talk pages) for participants to claim during this meetup // Srishti & Juan
  • After the event: Send a follow-up email to participants sharing about the agenda for the Portland event mentioned below // Srishti

WriteTheDocs Portland Meetup

A significant number of people coming to SF/WMF meetup will be present at the Portland event.

  • Inquire from organizers about the WritingDay of the WriteTheDocs Portland // Srishti
  • If the above is a possibility, prepare a list of projects that could be accomplished during this day (e.g. OOJS UI tasks/contact @Prtksxna) //Srishti
  • Prepare a list of resources/tools that tech writers could set-up ahead of this meetup // Srishti
  • Recruit folks who would be willing to be present on IRC to help answer questions and review edits // Srishti

Logistics

Inquire about the following: //Srishti

  • Bike parking situation in the area
  • Could we live-stream the event?
  • Capacity of the room

Event Timeline

Restricted Application added a project: Documentation. · View Herald TranscriptApr 13 2017, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
srishakatux triaged this task as Normal priority.Apr 13 2017, 9:06 PM
srishakatux raised the priority of this task from Normal to High.Apr 17 2017, 7:55 PM
srishakatux updated the task description. (Show Details)Apr 17 2017, 8:35 PM
srishakatux added subscribers: srodlund, Quiddity.
Prtksxna updated the task description. (Show Details)Apr 28 2017, 10:03 AM
Prtksxna added a subscriber: Prtksxna.

We're ready for this event!!!

We've sent notifications to all the meetup attendees, and our list of documentation-related projects is here: https://www.mediawiki.org/wiki/Write_the_Docs_San_Francisco_Meetup_May_2017 and is also linked from the meetup page: https://www.meetup.com/Write-the-Docs-SF/events/239305204/

Volker, Moriel & Roan from WMF will be sharing a bit about their projects and what documentation help their projects need.

Brendon will be helping us with the A/V stuff.

Sarah R. and I are ready to handle event logistics.

Juan is ready w/ his presentation.

srishakatux added a comment.EditedMay 6 2017, 12:06 AM

This meetup is over! Sharing the notes below:

  • Around 25 people attended the event including 6 WMF members. Most attendees were tech writers working at different organizations.
  • Juan gave an amazing presentation sharing his experience as a volunteer technical writer of MediaWiki. He focused on the tools we use, what are the benefits of contributing to an open source project such as MediaWiki, and that we need documentation help a lot
  • Volker, Roan & Moriel gave a brief overview of OOUI & notifications project and the tasks for which they need help
  • We made two announcements: Ryan shared about the MediaWiki documentation day happening next week, and I shared about WMF's presence at the WriteTheDocs, Portland meetup
  • There were about four people excluding WMF members familiar with MW. And, so most people weren't. We encouraged attendees to form groups and pick small tasks to work on from our list of featured documentation tasks. WMF folks and Juan helped answer participants queries while they were working in small groups
  • Attendees created their accounts on MediaWiki and Phabricator and contributed minor fixes to pages related to the tasks that were featured. In general, everyone seemed engaged. Screenshot from the RecentChanges page of MediaWiki that reflects the same:

The attendees were an amazing group of people to work with. Would anyone like to share what our next steps from here onward could be, that might help in forming a local technical writing community?

A huge shout to everyone who helped run this event: Sarah Rodlund, Moriel, Roan, Volker, Ryan, Juan Lara, & Nico B!!

srishakatux closed this task as Resolved.May 6 2017, 12:08 AM
Johan added a subscriber: Johan.May 6 2017, 12:20 AM

I think a mailing list could be useful. If nothing else, it could be used to ask for help, and thus have some level of activity even if there are no discussions. More translators-l, less wikitech-l?

Sounds like a cool meetup Srishti! Nice work! :)

Thanks for organizing @srishakatux ! You were all wonderful hosts.

I'm starting a small guide for tech writers based on the event and in preparation for Documentation Day and the Write the Docs conference : https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_Tech_Writer

Qgil awarded a token.May 8 2017, 8:41 AM
Qgil added a subscriber: Qgil.May 8 2017, 8:45 AM
  • Circulated a laptop with a Google spreadsheet on it during the working group session, asked people to indicate if they wanted to continue conversations that happened at the meetup, and opt-in to receive information about our future events
  • Attendees who from above said yes, have been invited to join a wikimedia-writethedocssf group on Zulip.

Interesting! Also relevant for T156301: Create a developer documentation special interest group?